#
# spec file for package scim-bridge
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           scim-bridge
BuildRequires:  docbook-xsl-stylesheets doxygen gtk2-devel intltool libqt4-devel qt3-devel scim-devel
Summary:        Scim Bridge
Version:        0.4.15
Release:        125.126.1
License:        LGPLv2.1+
Group:          System/I18n/Japanese
AutoReqProv:    on
PreReq:         /usr/bin/touch
Provides:       locale(scim:ja;ko;zh)
Recommends:     scim-bridge-gtk,scim-bridge-qt
Url:            http://www.scim-im.org/
# CVS repository:
# cvs -d:pserver:anonymous@scim.cvs.sourceforge.net:/cvsroot/scim login 
# cvs -z3 -d:pserver:anonymous@scim.cvs.sourceforge.net:/cvsroot/scim co scim-bridge
Source0:        scim-bridge-%{version}.tar.bz2
Source1:        baselibs.conf
Source10:       etc-x11-xim.d-scim-bridge
Patch3:         bug-351920-should-return-retval.patch
Patch4:         scim-bridge-avoid-load-all-imengine.patch
Patch5:         scim-bridge-agent-add-frontend-mask.patch
Patch6:         scim-bridge-remember-focus-state.patch
Patch7:         scim-bridge-fixes-x11-frontend-launch-order.patch
Patch8:         scim-bridge-0.4.15-gcc44.patch
Patch9:         scim-bridge-0.4.15-bz461373.patch
Patch10:        scim-bridge-reregister-type-module-if-reload.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define gtk_prefix %(pkg-config --variable=prefix gtk+-2.0)

%description
Scim Bridge



Authors:
--------
    Ryo Dairiki <ryo-dairiki@users.sourceforge.net>

%package -n scim-bridge-gtk
License:        LGPLv2.1+
Summary:        Scim Bridge for gtk2
Group:          System/I18n/Japanese
Requires:       %{name} = %{version}
Provides:       locale(gtk2:ja;ko;zh)
%gtk2_immodule_requires

%description -n scim-bridge-gtk
Scim Bridge for gtk2



Authors:
--------
    Ryo Dairiki <ryo-dairiki@users.sourceforge.net>

%package -n scim-bridge-qt
License:        LGPLv2.1+
Summary:        Scim Bridge for Qt
Group:          System/I18n/Japanese
Requires:       %{name} = %{version}
Provides:       locale(qt3:ja;ko;zh)

%description -n scim-bridge-qt
Scim Bridge for Qt



Authors:
--------
    Ryo Dairiki <ryo-dairiki@users.sourceforge.net>

%prep
%define qt4_plugindir %_libdir/qt4/plugins
%setup -q -n %{name}-%{version}
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8
%patch9 -p1
%patch10 -p1

find . -type f | xargs chmod u+w
#find . -name CVS -type d | xargs rm -r
find . -name .cvsignore -type f | xargs rm -f
#chmod 644 doc/icon/kasasagi.png
# hack to build with older distros
%if %suse_version < 1100
sed -i -e'/supplements/d' $RPM_SOURCE_DIR/baselibs.conf
%endif

%build
#libtoolize --force
#autoreconf --force --install --verbose
./bootstrap
intltoolize --force -c --automake
export CFLAGS="$RPM_OPT_FLAGS"
%configure --disable-static --with-pic --enable-gtk2-immodule --enable-qt3-immodule --enable-qt4-immodule
%{__make} %{?jobs:-j%jobs}

%install
make DESTDIR=${RPM_BUILD_ROOT} install
rm -f $RPM_BUILD_ROOT/%{gtk_prefix}/%{_lib}/gtk-2.0/immodules/im-scim-bridge.*a
pushd $RPM_BUILD_ROOT/usr/lib/qt3/plugins/inputmethods/
    if [ %_lib = lib64 ]; then
	mv im-scim-bridge.so im-scim-bridge.lib64.so
	mv im-scim-bridge.la im-scim-bridge.lib64.la
    else
    	:
    fi
popd
rm -f $RPM_BUILD_ROOT/usr/lib/qt3/plugins/inputmethods/im-scim-bridge.*a
mkdir -p $RPM_BUILD_ROOT/%qt4_plugindir/inputmethods
mv $RPM_BUILD_ROOT/usr/plugins/inputmethods/im-scim-bridge* $RPM_BUILD_ROOT/%qt4_plugindir/inputmethods
pushd $RPM_BUILD_ROOT/%qt4_plugindir/inputmethods
    if [ %_lib = lib64 ]; then
	mv im-scim-bridge.so im-scim-bridge.lib64.so
	mv im-scim-bridge.la im-scim-bridge.lib64.la
    else
    	:
    fi
popd
rm -f $RPM_BUILD_ROOT/%qt4_plugindir/inputmethods/im-scim-bridge.*a
mkdir -p $RPM_BUILD_ROOT/etc/X11/xim.d/
install -m 644 $RPM_SOURCE_DIR/etc-x11-xim.d-scim-bridge \
               $RPM_BUILD_ROOT/etc/X11/xim.d/scim-bridge
# install symlinks in /etc/X11/xim.d/$lang for all languages
# where scim-bridge might be useful:
PRIORITY=49
pushd $RPM_BUILD_ROOT/etc/X11/xim.d/
    for lang in am ar as bn el fa gu he hi hr ja ka kk kn ko lo ml my \
		pa ru sk vi zh_TW zh_CN zh_HK zh_SG \
		de fr it es nl cs pl da nn nb fi en sv
    do
        mkdir $lang
	pushd $lang
            ln -s ../scim-bridge $PRIORITY-scim-bridge
	popd
    done
popd

%post -n scim-bridge-gtk
%gtk2_immodule_post

%postun -n scim-bridge-gtk
%gtk2_immodule_postun

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README ChangeLog INSTALL doc
%dir /etc/X11/xim.d/
/etc/X11/xim.d/*
/usr/bin/scim-bridge

%files -n scim-bridge-gtk
%defattr(-, root, root)
%{gtk_prefix}/%{_lib}/gtk-2.0/immodules/im-scim-bridge.so

%files -n scim-bridge-qt
%defattr(-, root, root)
%dir /usr/lib/qt3/
%dir /usr/lib/qt3/plugins/
%dir /usr/lib/qt3/plugins/inputmethods/
/usr/lib/qt3/plugins/inputmethods/im-scim-bridge*.so
%dir %qt4_plugindir/
%dir %qt4_plugindir/inputmethods/
%qt4_plugindir/inputmethods/im-scim-bridge*.so

%changelog
* Fri May  6 2011 mchang@novell.com
- scim-bridge-reregister-type-module-if-reload.patch
  Fix bnc#680430 - SCIM is not usable in firefox. This patch
  will re-register the type once type module get reloaded.
* Wed Mar  9 2011 tiwai@suse.de
- Fix post scripts to use new gtk2_immodule_* macros (bnc#678080)
- Fix wrong post scripts for gtk2 immodule
* Thu Feb  4 2010 mxwu@novell.com
- Add scim-bridge-0.4.15-bz461373.patch.
  Fix bnc#463177. Focus problem with Qt Application.
* Mon Feb  1 2010 jengelh@medozas.de
- package baselibs.conf
* Thu Jun  4 2009 tiwai@suse.de
- fix build on older distros
* Mon Mar  2 2009 crrodriguez@suse.de
- fix build with GCC 4.4
* Thu Jan 15 2009 pwu@suse.de
- bnc#465111: Fixes the launch order of scim socket server and
  scim x11 frontend.
  Add a patch: scim-bridge-fixes-x11-frontend-launch-order.patch.
* Tue Jan 13 2009 pwu@suse.de
- bnc#465620: Fixes mis-order focus in/out event to scim-bridge,
  refer to scim implementation as scim already does it.
  Add a patch: scim-bridge-remember-focus-state.patch.
* Mon Jan  5 2009 pwu@suse.de
- bnc#463495: Add ValidKeyMask functionality to scim-bridge, borrow
  some code from scim.
* Wed Dec  3 2008 mfabian@suse.de
- bnc#455976: rely on the autostart mechanism for skim only
  in case of KDE3, not KDE4. Otherwise input in applications
  using XIM will not work.
* Tue Nov 25 2008 sbrabec@suse.cz
- Supplement gtk2-32bit/gtk2-64bit and qt3-32bit/qt3-64bit in
  baselibs.conf (bnc#354164).
* Tue Oct 14 2008 mfabian@suse.de
- add "intltoolize --force -c --automake" to fix build in Factory.
* Mon Oct  6 2008 pwu@suse.de
- add patch scim-bridge-avoid-load-all-imengine.patch, to avoid
  load all imengine into memory again, use the scim daemon,
  just load the socket imengine.
* Fri Sep 19 2008 mfabian@suse.de
- update to 0.4.15. From the Changelog:
  • Make scim-bridge to launch scim-frontend-x11 automatically
  (bnc#331614) (→ remove bug-331614-kde-launch-x11-frontend.patch)
  • Add "--no-stay" option to launch scim-frontend-x11.
* Tue Jun  3 2008 mfabian@suse.de
- bnc#391889: enable qt4 support.
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Tue Jan  8 2008 pwu@suse.de
- Bugzilla #351920: should return retval in
  scim-bridge-agent-client-listener.cpp
* Mon Dec 24 2007 pwu@suse.de
- Update to scim-bridge-0.4.14
  • Fix building problem on gcc-4.3.
  • Fix undefined symbol problem for Qt clients.
* Thu Oct 18 2007 mfabian@suse.de
- Bugzilla #331614, comment #13: don’t forget to start x11
  frontend of scim.
* Mon Oct 15 2007 mfabian@suse.de
- Bugzilla #331614: fix conflict between scim-bridge-qt and
  scim-bridge-qt-32bit packages.
* Thu Oct 11 2007 pwu@suse.de
- fix missing header for dist beta build
* Fri Aug 10 2007 pwu@suse.de
- fix missing function scim_bridge_client_imcontext_imengine_status_changed
* Fri Aug  3 2007 mfabian@suse.de
- update to 0.4.13:
  • enable key snooper by default to prevent that key events
  are stolen by wicked applications.
  • Add basic support for Qt4 (disabled for the moment)
  • Disable the fallback imengine while those of SCIM are enabled.
* Mon Apr 23 2007 mfabian@suse.de
- update to 0.4.12.
  • Fix a bug concerning keyboard layouts.
    (Redhat bugzilla: #211266)
* Mon Apr 23 2007 mfabian@suse.de
- use "Recommends: scim-bridge-gtk,scim-bridge-qt" only for
  SUSE Linux > 10.0 (doesn't build for 10.0 otherwise in the
  openSUSE build service).
* Wed Apr 18 2007 mfabian@suse.de
- fix typo in start script.
* Mon Apr 16 2007 mfabian@suse.de
- new package: scim-bridge version 0.4.10.
